"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/index.ts
var index_exports = {};
__export(index_exports, {
  default: () => index_default,
  rules: () => rules
});
module.exports = __toCommonJS(index_exports);
var customScopeRule = ({ type, scope }) => {
  console.log(type, scope);
  if (type === "feat" || type === "fix") {
    if (!scope) {
      return [false, "feat \u548C fix \u7C7B\u578B\u5FC5\u987B\u6709 scope"];
    }
    return [/^[fm]-[a-zA-Z0-9-]+$/.test(scope), "scope \u5FC5\u987B\u7B26\u5408 f-xxx \u6216 m-xxx \u7684\u683C\u5F0F"];
  }
  if (scope && !/^[fm]-[a-zA-Z0-9-]+$/.test(scope)) {
    return [false, "scope \u5FC5\u987B\u7B26\u5408 f-xxx \u6216 m-xxx \u7684\u683C\u5F0F"];
  }
  return [true];
};
var rules = {
  "custom-scope-rule": customScopeRule
};
var index_default = {
  rules
};
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  rules
});
//# sourceMappingURL=index.js.map