// src/index.ts
var customScopeRule = ({ type, scope }) => {
  console.log(type, scope);
  if (type === "feat" || type === "fix") {
    if (!scope) {
      return [false, "feat \u548C fix \u7C7B\u578B\u5FC5\u987B\u6709 scope"];
    }
    return [/^[fm]-[a-zA-Z0-9-]+$/.test(scope), "scope \u5FC5\u987B\u7B26\u5408 f-xxx \u6216 m-xxx \u7684\u683C\u5F0F"];
  }
  if (scope && !/^[fm]-[a-zA-Z0-9-]+$/.test(scope)) {
    return [false, "scope \u5FC5\u987B\u7B26\u5408 f-xxx \u6216 m-xxx \u7684\u683C\u5F0F"];
  }
  return [true];
};
var rules = {
  "custom-scope-rule": customScopeRule
};
var index_default = {
  rules
};
export {
  index_default as default,
  rules
};
//# sourceMappingURL=index.mjs.map